#!/bin/sh
#\
exec tclsh8.0 $0 ${1+"$@"}

# mini stdin console

proc start_console {} {
    proc prompt {} {
	puts -nonewline stdout {% }
    }
    fconfigure stdout -buffering none
    prompt
    set line {}
    while {![eof stdin]} {
	append line "[gets stdin]\n"
	if {[info complete $line]} {
	    catch {uplevel #0 $line} msg
	    set line {}
	    if {[string compare $msg {}]} {
		puts stdout $msg
	    }
	    prompt
	}
    }
}

if {[file exists [lindex $argv 0]]} {
    set argv0 [lindex $argv 0]
    set argv [lrange $argv 1 end]
    incr argc -1
    source $argv0
} else {
    set tcl_interactive 1
    start_console
}